package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.ast.SQLStatement;
import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DrdsRemoveDDLJob extends MariadbStatementImpl implements SQLStatement {
   private boolean allCompleted = false;
   private boolean allPending = false;
   private List<Long> jobIds = new ArrayList();

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isAllCompleted() {
      return this.allCompleted;
   }

   public void setAllCompleted(boolean allCompleted) {
      this.allCompleted = allCompleted;
   }

   public boolean isAllPending() {
      return this.allPending;
   }

   public void setAllPending(boolean allPending) {
      this.allPending = allPending;
   }

   public List<Long> getJobIds() {
      return this.jobIds;
   }

   public void addJobId(long id) {
      this.jobIds.add(id);
   }
}
